vCenter

 View Only
  • 1.  vCenter build lower than ESXi after latest patches...

    Posted Sep 04, 2020 08:34 AM

    Hi all,

    Recently upgraded vCenter (appliance) to the latest being offered in the VAMI auto update (6.7.0.45000 - Released 20th August 2020).

    Once complete I then started updating all my hosts with the latest Critical and Non-Critical patches from my update manager.

    Completed the first cluster (2 hosts) and was surprised to see that the ESXi build number had incremented above the vCenter build number?

    vSphere

    Version: 6.7.0

    Build: 16709110

    ESXi

    Version: 6.7.0

    Build: 16713306

    I've always been under the impression that the vCenter build number should always be kept above the ESXi build number...

    Do I hold off completing my other three clusters (15 hosts) until a later release of vCenter appliance is released?

    Any way of avoiding this in the future? (there was no way of knowing what build the host patches would push it to)

    Thanks,

    Robin.



  • 2.  RE: vCenter build lower than ESXi after latest patches...

    Broadcom Employee
    Posted Sep 04, 2020 08:53 AM


  • 3.  RE: vCenter build lower than ESXi after latest patches...

    Posted Sep 04, 2020 10:35 AM

    Thanks Scott,

    I have all those links already... and none of them have my current builds even listed!

    The Interoperability link is only for high level compatibility... really need a more granular list than that.

    The only matching list is a thirdparty link... which links back to VMware for the vCenter build... but not the ESXi.

    ESXi:

    https://www.virten.net/vmware/esxi-release-build-number-history/

    vCenter:

    https://www.virten.net/vmware/vcenter-release-and-build-number-history/

    Regards,

    Robin.



  • 4.  RE: vCenter build lower than ESXi after latest patches...

    Posted Sep 09, 2020 08:35 AM

    According to VMware Product Interoperability Matrices vCenter version supports  ESXi host versions at the same main version and lower until -2 main version.

    For example vCenter 6.7 U3/U2/U1/6.7.0 supports ESXi 6.7 U3/U2/U1/6.7.0,  ESXi 6.5 U3/U2/U1/6.5.0 and ESXi 6.0 U3/U2/U1/6.0.0

    In case there are many vCenters in linked mode it can be rather difficult to organize maintenance window for all vCenters but for some security reason only ESXi patching would be required.

    Do we have any requirements between vCenter build (release date) and ESXi build (release date) across the same U level?

    For example vCenter 6.7 U3 and ESXi host 6.7 U3.

    Regards,



  • 5.  RE: vCenter build lower than ESXi after latest patches...

    Posted Sep 10, 2020 05:47 AM

    AFAIR i saw something like that in the release notes for the latest Vsphere 6.7 u3 patches.

    VMware ESXi 6.7, Patch Release ESXi670-202008001

    "

    IMPORTANT: For clusters using VMware vSAN, you must first upgrade the vCenter Server system. Upgrading only the ESXi hosts is not supported.

    Before an upgrade, always verify in the VMware Product Interoperability Matrix compatible upgrade paths from earlier versions of ESXi, vCenter Server and vSAN to the current version.

    "

    So it looks like in certain conditions this interoperability requirement may appear.



  • 6.  RE: vCenter build lower than ESXi after latest patches...

    Posted Sep 22, 2020 03:32 PM

    Got confirmation from vmware, that these versions are compatible with a submitted ticket.

    ===============================================

    I understand from the case description that you want to check compatibility between vCenter and ESXi version

    I confirm you can use ESXi670-202008001 with vCenter Appliance 6.7 Update 3j (6.7.0.45000) as both are the latest release  vSphere 6.7

    Please do let me know if there is anything else that we may help you with.

    Regards,

    =================================================================